# To include the license file, we may either include the LICENSE file as a
# separate source, or (simpler) package directly from a GitHub snapshot
# tarball instead of from the PyPI release.
%global forgeurl https://github.com/Zsailer/pandas_flavor
%global commit 4cc6cbcc20028bf51debc181bbc51cb7c864767c

Name:           python-pandas-flavor
Version:        0.2.0
%forgemeta
Release:        1%{?dist}
Summary:        The easy way to write your own flavor of Pandas

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global common_description %{expand:
The easy way to write your own flavor of Pandas
-----------------------------------------------

Pandas 0.23 added a (simple) API for registering accessors with Pandas objects.

Pandas-flavor extends Pandas’ extension API by:

  1. adding support for registering methods as well.
  2. making each of these functions backwards compatible with older versions of
     Pandas.

What does this mean?
--------------------

It is now simpler to add custom functionality to Pandas DataFrames and Series.

Import this package. Write a simple python function. Register the function
using one of the following decorators.

Why?
----

Pandas is super handy. Its general purpose is to be a "flexible and powerful
data analysis/manipulation library".

Pandas Flavor allows you add functionality that tailors Pandas to specific
fields or use cases.

Maybe you want to add new write methods to the Pandas DataFrame? Maybe you want
custom plot functionality? Maybe something else?}

%description %{common_description}

%package -n python3-pandas_flavor
Summary:        %{summary}

%description -n python3-pandas_flavor %{common_description}

%prep
%forgeautosetup

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pandas_flavor

%check
# Upstream provides no tests
%py3_check_import pandas_flavor

%files -n python3-pandas_flavor -f %{pyproject_files}
# pyproject-rpm-macros automatically finds LICENSE in dist-info
%doc README.md
%doc docs/_images/example.png

%changelog
* Fri Sep 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.0-1
- Update to 0.2.0 and use new Python guidelines (close RHBZ#2003246)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.2-6
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.1.2-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 11 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.2-1
- Update as per review comments
- https://bugzilla.redhat.com/show_bug.cgi?id=1770496
- Comment out egg info removal
- use -p in cp to preserve time stamp

* Sat Nov 09 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.2-1
- Initial build
